[mc] Check writability of /data

Document JVM_OPTS
For #176 and #177
This commit is contained in:
Geoff Bourne
2017-09-02 12:24:09 -05:00
parent 5afd98edd8
commit 463cc62b75
2 changed files with 16 additions and 1 deletions
+9
View File
@@ -9,6 +9,10 @@ if [ ! -e /data/eula.txt ]; then
if [ "$EULA" != "" ]; then
echo "# Generated via Docker on $(date)" > eula.txt
echo "eula=$EULA" >> eula.txt
if [ $? != 0 ]; then
echo "ERROR: unable to write eula to /data. Please make sure attached directory is writable by uid=${UID}"
exit 2
fi
else
echo ""
echo "Please accept the Minecraft EULA at"
@@ -20,6 +24,11 @@ if [ ! -e /data/eula.txt ]; then
fi
fi
if ! touch /data/.verify_access; then
echo "ERROR: /data doesn't seem to be writable. Please make sure attached directory is writable by uid=${UID} "
exit 2
fi
SERVER_PROPERTIES=/data/server.properties
FTB_DIR=/data/FeedTheBeast
VERSIONS_JSON=https://launchermeta.mojang.com/mc/game/version_manifest.json